Package org.eclipse.mat.internal.snapshot

## Class HeapObjectContextArgument

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.HeapObjectArgumentFactory
  - - org.eclipse.mat.internal.snapshot.HeapObjectContextArgument

All Implemented Interfaces:
  `ArgumentFactory`

    public class HeapObjectContextArgument
    extends HeapObjectArgumentFactory

### Constructor Summary

Constructors
`HeapObjectContextArgument​(ISnapshot snapshot, List<IContextObject> context, String label)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendUsage​(StringBuilder buf)`
`String` `toString()`

### Methods inherited from class org.eclipse.mat.internal.snapshot.HeapObjectArgumentFactory

`build, build, build`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HeapObjectContextArgument

    public HeapObjectContextArgument​(ISnapshot snapshot,
                                     List<IContextObject> context,
                                     String label)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### appendUsage

    public void appendUsage​(StringBuilder buf)